# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"Doro_is1",
   "name":"Doro",
   "version":"2.23",
   "install_date":"2024-08-29 00:00:00",
   "install_location":"C:\\Program Files (x86)\\DoroPDFWriter\\",
   "uninstall_string":"\"C:\\Program Files (x86)\\DoroPDFWriter\\unins000.exe\"",
   "publisher":"the sz development",
   "system_component":0,
   "win64":false
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables

    # Installing the software
    print("Installing: DoroSetup.exe")
    install_exe_if_needed(
        "DoroSetup.exe",
        silentflags="/SILENT /SUPPRESSMSGBOXES /NORESTART",
        key="Doro_is1",
        min_version=control.get_software_version(),
    )
